/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { WorkflowExecutionStatus } from './WorkflowExecutionStatus';

export type WorkflowExecutionOut = {
    /**
     * Workflow version git commit hash
     */
    workflow_version_id: (string | null);
    /**
     * Optional notes for this workflow execution
     */
    notes: (string | null);
    /**
     * ID of the workflow mode this workflow execution runs in
     */
    mode: (string | null);
    /**
     * ID of the workflow execution
     */
    execution_id: string;
    /**
     * UID of user who started the workflow
     */
    user_id: string;
    /**
     * Start time of the workflow execution as UNIX timestamp
     */
    start_time: number;
    /**
     * End time of the workflow execution as UNIX timestamp
     */
    end_time: (number | null);
    /**
     * Status of the workflow execution
     */
    status: WorkflowExecutionStatus;
    /**
     * Id of the workflow
     */
    workflow_id: (string | null);
};

