/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { WorkflowModeIn } from './WorkflowModeIn';

export type WorkflowIn = {
    /**
     * Short descriptive name of the workflow
     */
    name: string;
    /**
     * Short description of the workflow
     */
    short_description: string;
    /**
     * URL to the Git repository belonging to this workflow
     */
    repository_url: string;
    /**
     * Hash of the git commit
     */
    git_commit_hash: string;
    /**
     * Initial version of the Workflow. Should follow semantic versioning
     */
    initial_version?: string;
    /**
     * Token to access the content git repository
     */
    token?: (string | null);
    /**
     * List of modes with alternative entrypoint the new workflow has
     */
    modes?: Array<WorkflowModeIn>;
};

