# CloWM-UI

## Description

This is the Frontend to manage your S3 Buckets and start Workflows.

## Environment Variables

The docker container replaces them in the `env.template.js` file and moves that file to the same location as the `index.html`.
When accessing the website, these variables will be loaded dynamically into the application.


| Variable                | Default | Value    | Description                                      |
|-------------------------|---------|----------|--------------------------------------------------|
| `AUTH_API_BASE_URL`     | unset   | HTTP URL | Base URL for the Auth Service API                |
| `WORKFLOW_API_BASE_URL` | unset   | HTTP URL | Base URL for the Workflow Service API            |
| `S3PROXY_API_BASE_URL`  | unset   | HTTP URL | Base URL for the S3Proxy Service API             |
| `S3_URL`                | unset   | HTTP URL | URL of the S3 storage to interact with           |
| `DEV_SYSTEM`            | `false` | boolean  | Flag if the service is installed on a Dev system |
